Subject: Re: [GIT PULL 0/2] Renesas SoC updates for v7.2 (take two)

From: Wolfram Sang <[email-masked]>
Date: Mon, 1 Jun 2026 18:06:08 +0200

Hi Geert,

On Mon, Jun 01, 2026 at 03:18:17PM +0200, Geert Uytterhoeven wrote:
> 	Hi SoC folks,
> 
> This is my second pull request for the inclusion of Renesas SoC updates
> for v7.2.
> 
> It consists of 2 parts:
> 
>   [GIT PULL 1/2] Renesas driver updates for v7.2 (take two)
> 
>     - Identify the R-Car M3Le SoC,
>     - Add Multifunctional Interface (MFIS) support for R-Car V4H and V4M.

The bindings patch for this V4H update...

> 
>   [GIT PULL 2/2] Renesas DTS updates for v7.2 (take two)
> 
>     - Add timer (MTU3) and xSPI FLASH support for the RZ/T2H and RZ/N2H
>       SoCs and their EVK boards,
>     - Add PCIe support for the RZ/V2N SoC and the RZ/V2N EVK board,
>     - Add support for the R-Car M3Le SoC and the Geist development board,
>     - Specify ethernet PHY reset timings on various R-Car boards,
>     - Add (more) serial, I2C, DMA, and sound support for the RZ/G3L SoC,
>     - Add PSCI, Multifunctional Interface (MFIS), and SCMI support for the
>       R-Car X5H SoC and Ironhide development board,

... depends on the initial X5H binding addition in this pull request.

>     - Add serial DMA support for the RZ/G2L SoC,
>     - Add keyboard, I2C, Versa clock, and audio support for the RZ/G3L
>       SMARC SoM and EVK boards,
>     - Miscellaneous fixes and improvements.

I am confused, does this really work?

Thanks for your work,

   Wolfram